Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class J2EEDeployedObject

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.management.j2ee.J2EEManagedObject
                  org.jboss.management.j2ee.J2EEDeployedObject

All Implemented Interfaces:
  J2EEDeployedObjectMBean, J2EEManagedObjectMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean

Direct Known Subclasses:
  J2EEApplication, J2EEModule

public abstract class J2EEDeployedObject
extends J2EEManagedObject
implements J2EEDeployedObjectMBean

Root class of the JBoss JSR-77 implementation of `J2EEDeployedObject`.

Version:
  $Revision: 1.13 $
Author:
  Andreas Schaefer., thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary
`static int` | `APPLICATION`
`static int` | `CMP`
`static int` | `EJB`
`static int` | `JAWS`
`static int` | `JBOSS`
`static int` | `JBOSS_WEB`
`static int` | `RAR`
`static int` | `SAR`
`static int` | `WEB`

Fields inherited from class org.jboss.management.j2ee.J2EEManagedObject
`NAME, TYPE`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`J2EEDeployedObject(String pType, String pName, javax.management.ObjectName pParent, String pDeploymentDescriptor)` Constructor taking the Name of this Object

Method Summary
`String` | `getdeploymentDescriptor()`
`static String` | `getDeploymentDescriptor(URL pJarUrl, int pType)`
`String` | `getserver()`
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.J2EEManagedObject
`addChild, getobjectName, getObjectName, getObjectName, getparent, getParentKeys, getType, getType, iseventProvider, isstateManageable, isstatisticsProvider, newObjectName, postCreation, postRegister, preDeregister, preDestruction, removeChild, removeObject, removeObject, sendNotification, setparent`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`addChild, getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, removeChild, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### APPLICATION

    public static final int APPLICATION

See Also:
  Constant Field Values

### WEB

    public static final int WEB

See Also:
  Constant Field Values

### EJB

    public static final int EJB

See Also:
  Constant Field Values

### RAR

    public static final int RAR

See Also:
  Constant Field Values

### SAR

    public static final int SAR

See Also:
  Constant Field Values

### JBOSS

    public static final int JBOSS

See Also:
  Constant Field Values

### JAWS

    public static final int JAWS

See Also:
  Constant Field Values

### CMP

    public static final int CMP

See Also:
  Constant Field Values

### JBOSS_WEB

    public static final int JBOSS_WEB

See Also:
  Constant Field Values

Constructor Detail

### J2EEDeployedObject

    public J2EEDeployedObject(String pType,
                              String pName,
                              javax.management.ObjectName pParent,
                              String pDeploymentDescriptor)
                       throws javax.management.MalformedObjectNameException,
                              InvalidParentException

  Constructor taking the Name of this Object

Parameters:
  `pName` - Name to be set which must not be null
  `pDeploymentDescriptor` -
Throws:
  `InvalidParameterException` - If the given Name is null
  `javax.management.MalformedObjectNameException`
  `InvalidParentException`

Method Detail

### getDeploymentDescriptor

    public static String getDeploymentDescriptor(URL pJarUrl,
                                                 int pType)

### getdeploymentDescriptor

    public String getdeploymentDescriptor()

  Specified by:
    `getdeploymentDescriptor` in interface `J2EEDeployedObjectMBean`

### getserver

    public String getserver()

  Specified by:
    `getserver` in interface `J2EEDeployedObjectMBean`

### toString

    public String toString()

  Overrides:
    `toString` in class `J2EEManagedObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.